summaryrefslogtreecommitdiffstats
path: root/install/ui/util/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install/ui/util/build.sh')
-rwxr-xr-xinstall/ui/util/build.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/install/ui/util/build.sh b/install/ui/util/build.sh
index 7cd623485..03776c1fe 100755
--- a/install/ui/util/build.sh
+++ b/install/ui/util/build.sh
@@ -31,5 +31,6 @@ if [[ ! $profile ]] ; then
exit 1
fi
-rhino $DIR/build/build.js baseUrl=$DIR/build load=build profile=$DIR/../src/$profile.profile.js
-exit $? \ No newline at end of file
+RHINO="java -Xss${JAVA_STACK_SIZE:-512k} -classpath /usr/share/java/rhino.jar org.mozilla.javascript.tools.shell.Main"
+$RHINO $DIR/build/build.js baseUrl=$DIR/build load=build profile=$DIR/../src/$profile.profile.js
+exit $?